# eric7.WebBrowser.Tools.WebIconDialog

Module implementing a dialog to manage the Favicons.

### Global Attributes

None

### Classes

WebIconDialog | Class implementing a dialog to manage the Favicons.

### Functions

None

## WebIconDialog

Class implementing a dialog to manage the Favicons.

### Derived from

QDialog, Ui_WebIconDialog

### Class Attributes

None

### Class Methods

None

### Methods

WebIconDialog | Constructor
__setRemoveButtons | Private method to set the state of the 'remove' buttons.
getUrls | Public method to get the list of URLs.
on_iconsList_customContextMenuRequested | Private slot to show the context menu.
on_iconsList_itemSelectionChanged | Private slot handling the selection of entries.
on_removeAllButton_clicked | Private slot to remove all entries.
on_removeButton_clicked | Private slot to remove the selected items.

### Static Methods

None

#### WebIconDialog (Constructor)

WebIconDialog(iconsDB, parent=None)

Constructor

iconsDB (dict)
  icons database
parent (QWidget)
  reference to the parent widget

#### WebIconDialog.__setRemoveButtons

__setRemoveButtons()

Private method to set the state of the 'remove' buttons.

#### WebIconDialog.getUrls

getUrls()

Public method to get the list of URLs.

Return:
  list of URLs

Return Type:
  list of str

#### WebIconDialog.on_iconsList_customContextMenuRequested

on_iconsList_customContextMenuRequested(pos)

Private slot to show the context menu.

pos (QPoint)
  cursor position

#### WebIconDialog.on_iconsList_itemSelectionChanged

on_iconsList_itemSelectionChanged()

Private slot handling the selection of entries.

#### WebIconDialog.on_removeAllButton_clicked

on_removeAllButton_clicked()

Private slot to remove all entries.

#### WebIconDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove the selected items.

Up